Skip to main content
PATCH
/
v0
/
chatbots
/
chatbot
/
{chatbotId}
/
settings
/
general
Update General Settings
curl --request PATCH \
  --url https://interhemispheric-unwet-paulene.ngrok-free.dev/api/v0/chatbots/chatbot/{chatbotId}/settings/general \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "description": "<string>",
  "disableSmartFollowup": true,
  "numberOfSmartFollowupQuestionShown": 123,
  "enablePageContextAwareness": true,
  "historyMessageContext": 123,
  "llmModelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "limitMessagesPerConversation": true,
  "maxMessagesPerConversation": 123,
  "fallbackMessage": "<string>"
}
'
{
  "success": true,
  "message": "General settings updated successfully",
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "chatbotId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "description": "<string>",
    "disableSmartFollowup": false,
    "numberOfSmartFollowupQuestionShown": 3,
    "enablePageContextAwareness": false,
    "historyMessageContext": 1,
    "llmId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "limitMessagesPerConversation": false,
    "maxMessagesPerConversation": 20,
    "fallbackMessage": "I'm sorry, I don't have enough information to answer that.",
    "chatStart": "ai",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chatbotId
string
required
Example:

"361628903185318481"

Body

application/json

All fields are optional. Only provided fields are applied.

description
string
disableSmartFollowup
boolean
numberOfSmartFollowupQuestionShown
integer
enablePageContextAwareness
boolean
historyMessageContext
integer
llmModelId
string<uuid>

UUID of an active LLM model

limitMessagesPerConversation
boolean
maxMessagesPerConversation
integer

Only settable when limitMessagesPerConversation is true

fallbackMessage
string

Response

Updated (or created if settings row didn't exist)

success
boolean
Example:

true

message
string
Example:

"General settings updated successfully"

data
object